'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var styled = require('styled-components');
var styled__default = _interopDefault(styled);

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  strings.raw = raw;
  return strings;
}

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n    position: relative;\n    width: 30px;\n    height: 30px;\n    margin: 0 auto;\n    border: 4px solid #c4c4d6;\n    border-radius: 50%;\n    border-top: 4px solid ", ";\n    width: 40px;\n    height: 40px;\n    -webkit-animation: spin 2s linear infinite; /* Safari */\n    animation: spin 1s linear infinite;\n\n    @-webkit-keyframes spin {\n        0% {\n            -webkit-transform: rotate(0deg);\n        }\n        100% {\n            -webkit-transform: rotate(360deg);\n        }\n    }\n\n    @keyframes spin {\n        0% {\n            transform: rotate(0deg);\n        }\n        100% {\n            transform: rotate(360deg);\n        }\n    }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var Preloader = /*#__PURE__*/styled__default.div( /*#__PURE__*/_templateObject(), function (props) {
  return props.theme.colors.main["300"];
});

var IconPreloader = function IconPreloader(props) {
  console.log(props);
  return React.createElement(Preloader, null);
};

var theme = {
  colors: {
    main: {
      100: "#ECE5FC",
      200: "#A88DDD",
      300: "#5926BD",
      400: "#3F0EA0"
    },
    dark: {
      100: "#767187",
      200: "#4D4469",
      300: "#372B5F",
      400: "#190441"
    },
    text: {
      error: "#960400",
      warning: "#CB6865"
    },
    line: {
      primary: "#DDDDDD"
    },
    background: {
      primary: "#FFFFFF"
    }
  }
};

var Theme = function Theme(_ref) {
  var children = _ref.children;
  return React.createElement(styled.ThemeProvider, {
    theme: theme
  }, children);
};

function _templateObject$1() {
  var data = _taggedTemplateLiteralLoose(["\n  color: red;\n"]);

  _templateObject$1 = function _templateObject() {
    return data;
  };

  return data;
}
/**
 * A custom Thing component. Neat!
 */
// export const Thing: React.FC = ({ children }) => {
//   return <div>{children || `the snozzberries taste like snozzberries`}</div>;
// };

var SimpleStyledH1 = /*#__PURE__*/styled__default.h1( /*#__PURE__*/_templateObject$1());
var SimpleStyledH1Application = function SimpleStyledH1Application() {
  return React.createElement(SimpleStyledH1, null, "Hi");
};

exports.IconPreloader = IconPreloader;
exports.SimpleStyledH1 = SimpleStyledH1;
exports.SimpleStyledH1Application = SimpleStyledH1Application;
exports.Theme = Theme;
//# sourceMappingURL=tsdx-styled-components-demo.cjs.development.js.map
